post
https://api.loopsubscriptions.com/admin/2026-04/subscription//reschedule
This endpoint allow you to reschedule the next billing date of the upcoming order for an existing subscription.
Token scope - Read & write subscription contracts
Rate limit - Global pool (i.e. 50 requests per second per domain)
Path parameters explained
subscriptionIdId of the subscription for which the upcoming order needs to be rescheduled. This can be passed in the following format:
{id}- where id is the Loop internal id of the subscription contract. This is the default path param format.loop-{id}where id is the Loop internal id of the subscription contract.shopify-${id}- Where id is the shopifySubscriptionId of the subscription contract.
Body parameters explained:
nextBillingDateEpoch- New billing date of the next upcoming subscription order.rescheduleFutureOrders- This key allows you to select if all future orders should be rescheduled or only the next upcoming order. By default, the value will be set as true unless passed otherwise.
Please note - while passing the value as false, the nextBillingDateEpoch value should be lesser than the next subsequent order date.
